Summary: A graphical system process monitor.
Name: gps
Version: 0.9.3
Release: 4
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.seul.org/pub/gps/gps-%{version}.tar.gz
Patch0: gps-%{version}-init.patch
Patch1: Makefile.patch
URL: http://gps.seul.org/
Buildroot: %{_tmppath}/%{name}-root
PreReq: /sbin/chkconfig , /sbin/service 

%description
gPS is a graphical process status tool for Linux which works like ps
or Top. It refreshes automatically every second or will refresh upon
user requests. gPS lets you filter the list of process on any of the
fields and lets you sort in any field, in any direction. gPS allows
you to send SIGHUP (Hang Up) and SIGKILL (Kill) signals to any running
process and it allows you to renice a process.

%prep
%setup -q
%patch0 -p1 -b .initrh
%patch1 -p1 -b .orig

%build
#./configure --prefix=%{_prefix} --mandir=%{_mandir} --datadir=%{_datadir}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall DESTDIR=$RPM_BUILD_ROOT DEFAULTDOCDIR=%{_datadir}/doc

#do this so that the symlink doesn't point to the buildroot
cd $RPM_BUILD_ROOT%{_bindir} && ln -sf rgpsp_linux rgpsp && cd - ;

chmod 644 $RPM_BUILD_ROOT%{_mandir}/*/*
chmod 644 $RPM_BUILD_ROOT%{_datadir}/icons/*
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/rgpsp.conf

pushd $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
    mv rgpsp rgpsp_linux 
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rgpsp_linux

%preun
if [ $1 = 0 ]; then
	/sbin/service rgpsp stop > /dev/null 2>&1
	/sbin/chkconfig --del rgpsp_linux
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service rgpsp condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING INSTALL README TODO README.NetWatch
%config(noreplace) %{_sysconfdir}/rgpsp.conf
%config %{_sysconfdir}/rc.d/init.d/rgpsp_linux
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/icons/*.xpm

%changelog
* Sun Feb 25 2001 Tim Powers <timp@redhat.com>
- fixed bug 29368 where post was failing.

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- updated initscript
- moved rgpsp to rgpsp_linux so that the spawning subsystem has the
  same name (bug #24733)

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Fri Nov 10 2000 Tim Powers <timp@redhat.com>
- updated to 0.9.3

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script
- use %%{_tmppath}

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that condrestart doesn't return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using /sbin/service to start inits

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq to require /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- PreReq /sbin/chkconfig , initscripts >= 5.20

* Mon Jun 26 2000 Tim Powers <timp@redhat.com>
- fixed scipt in init.d location
- added condrestart to the script, and to the postun section

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- fix man page location
- use %%makeinstall and other predefined macros from RPM wherever possible

* Thu May 11 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.1
- patched so that it uses chkconfig
- patched makefiles so that we can clean up the spec a bit to make it easier
  to maintain

* Thu Nov 11 1999 Tim Powers <timp@redhat.com>
- updated to 0.4.1
- gzip man pages

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- created spec
- built for Powertools
